
From: Kumar Gala <galak@freescale.com>

The existing make rule when building a uImage would check to see if the
image file existed to report 'is ready' or 'not made'.  However make
appeared to compute the file list before the rule was executed.

Signed-off-by: Chris Clark <cpclark@xmission.com>
Signed-off-by: Kumar Gala <kumar.gala@freescale.com>
Signed-off-by: Sam Ravnborg <sam@ravnborg.org> 
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc/boot/images/Makefile |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/ppc/boot/images/Makefile~ppc32-fix-uimage-make-target-to-report-success-correctly arch/ppc/boot/images/Makefile
--- 25/arch/ppc/boot/images/Makefile~ppc32-fix-uimage-make-target-to-report-success-correctly	2005-05-11 18:04:47.000000000 -0700
+++ 25-akpm/arch/ppc/boot/images/Makefile	2005-05-11 18:04:47.000000000 -0700
@@ -22,7 +22,8 @@ targets += uImage
 $(obj)/uImage: $(obj)/vmlinux.gz
 	$(Q)rm -f $@
 	$(call if_changed,uimage)
-	@echo '  Image: $@' $(if $(wildcard $@),'is ready','not made')
+	@echo -n '  Image: $@ '
+	@if [ -f $@ ]; then echo 'is ready' ; else echo 'not made'; fi
 
 # Files generated that shall be removed upon make clean
 clean-files	:= sImage vmapus vmlinux* miboot* zImage* uImage
_
